﻿<?xml version="1.0" encoding="UTF-8"?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms" xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml" x:Class="MyProject.Views.NewsListPage">
    <ContentPage.Content>
         <StackLayout><ActivityIndicator IsRunning="{Binding IsLoading}" />
            <Button Command="{Binding CreateNewsButton}" BackgroundColor="Aquamarine" Text="Создать новость" IsVisible="false"/>
            <ListView ItemsSource="{Binding Items}" SelectedItem="{Binding SelectedItem, Mode=TwoWay}">
                <ListView.ItemTemplate>
                    <DataTemplate>
                        <ViewCell>
                            <StackLayout Orientation="Vertical">
                                <Label Text="{Binding Title}"/>
                                <Label Text="{Binding Text}"/>
                            </StackLayout>
                        </ViewCell>
                    </DataTemplate>
                </ListView.ItemTemplate>
            </ListView>
        </StackLayout>
    </ContentPage.Content>
</ContentPage>
